summaryrefslogtreecommitdiffstats
path: root/patches/source/util-linux/util-linux.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'patches/source/util-linux/util-linux.SlackBuild')
-rwxr-xr-xpatches/source/util-linux/util-linux.SlackBuild10
1 files changed, 8 insertions, 2 deletions
diff --git a/patches/source/util-linux/util-linux.SlackBuild b/patches/source/util-linux/util-linux.SlackBuild
index 114fd3490..52e43d06e 100755
--- a/patches/source/util-linux/util-linux.SlackBuild
+++ b/patches/source/util-linux/util-linux.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2015, 2017, 2018, 2020, 2021, 2022, 2023 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2015, 2017, 2018, 2020, 2021, 2022, 2023, 2024 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=util-linux
VERSION=${VERSION:-$(echo util-linux*.tar.xz | cut -d - -f 3 | rev | cut -f 3- -d . | rev)}
-BUILD=${BUILD:-2_slack15.0}
+BUILD=${BUILD:-3_slack15.0}
ADJTIMEXVERS=1.29
SETSERIALVERS=2.17
@@ -129,6 +129,12 @@ zcat $CWD/util-linux.fdisk-no-solaris.diff.gz | patch -p1 --verbose || exit 1
# /dev/ram* devices in 'fdisk -l' output:
zcat $CWD/util-linux.do.not.list.ram.devices.diff.gz | patch -p1 --verbose || exit 1
+# Patch wall:
+zcat $CWD/CVE-2024-28085-pre1.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/CVE-2024-28085-pre2.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/CVE-2024-28085-pre3.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/CVE-2024-28085.patch.gz | patch -p1 --verbose || exit 1
+
# This just call the configure script with $1 either being 2 for python2
# or 3 for python3.
#